using System;
using System.Collections;
using System.Collections.Generic;
using MemoryPack;

namespace Project.B.Player
{
    public interface IPlayerData
    {
        /// <summary>
        /// 用户ID
        /// </summary>
        Guid PlayerId { get; }
        /// <summary>
        /// 是否是机器人
        /// </summary>
        bool IsBot { get; }
        /// <summary>
        /// Steam64位ID
        /// </summary>
        long Steam64Id { get; }
        /// <summary>
        /// https://steamcdn-a.akamaihd.net/steamcommunity/public/images/avatars/xx/xx.jpg
        /// </summary>
        string AvatarUrl { get; }
        /// <summary>
        /// 用户名
        /// </summary>
        string NickName { get; }
        /// <summary>
        /// 许可证状态
        /// </summary>
        int LicenseLevel { get; }
    }
    [MemoryPackable]
    public partial record PlayerData:IPlayerData
    {
        public Guid PlayerId { get; set; }
        public bool IsBot { get; set; }
        public long Steam64Id { get; set; }
        public string AvatarUrl { get; set; }
        public string NickName { get; set; }
        public int LicenseLevel { get; set; }
    }
}
